Fail to import new classes 

02/13/2012 05:16 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In debian nightly I get that error when I try to import new classes :

Processing EnvironmentsController#obsolete_and_new (for 192.168.200.29 at 2012-02-10 20:14:57) [POST]

Parameters: {"commit"=>"Update",

"changed"=>{"new"=>{"production"=>"[\"munin::client::darwin\",\"munin::client::debian\",\"munin::client::redhat\",\"munin::snmp_collec

tor\",\"nagios::contactgroups\",\"nagios::contacts\",\"nagios::host\",\"nagios::hostgroups\",\"nagios::service\"]",

"development"=>"[\"munin::client::darwin\",\"munin::client::debian\",\"munin::client::redhat\",\"munin::snmp_collector\",\"nagios::contac

tgroups\",\"nagios::contacts\",\"nagios::host\",\"nagios::hostgroups\",\"nagios::service\",\"plop\"]",

"preprod"=>"[\"\",\"munin::client::darwin\",\"munin::client::debian\",\"munin::client::redhat\",\"munin::snmp_collector\",\"nagios::contactg

roups\",\"nagios::contacts\",\"nagios::host\",\"nagios::hostgroups\",\"nagios::service\"]",

"test"=>"[\"munin::client::darwin\",\"munin::client::debian\",\"munin::client::redhat\",\"munin::snmp_collector\",\"nagios::contactgroups\"

,\"nagios::contacts\",\"nagios::host\",\"nagios::hostgroups\",\"nagios::service\"]"}},

"authenticity_token"=>"3Slfefr64QgtO+kPj3ek0Lz6Kn/eofSyQL5fynUj/Yg="}

can't convert ActiveRecord::Errors into Array

/usr/share/foreman/app/models/environment.rb:126:in `+'

/usr/share/foreman/app/models/environment.rb:126:in `obsolete_and_new'

/usr/share/foreman/app/models/environment.rb:123:in `each'

/usr/share/foreman/app/models/environment.rb:123:in `obsolete_and_new'

/usr/share/foreman/app/models/environment.rb:114:in `each'

/usr/share/foreman/app/models/environment.rb:114:in `obsolete_and_new'

/usr/share/foreman/lib/foreman/controller/environments.rb:19:in `obsolete_and_new'

Rendering template within layouts/application

Rendering common/500 (500)

I backported #1436.

Related issues:

Is duplicate of Foreman - Bug #1496: puppet classes import error Duplicate 02/15/2012

Associated revisions

Revision b9cb1001 - 02/13/2012 05:54 AM - Ohad Levy

fixes #1491 - Fail to import new classes

History

#1 - 02/13/2012 05:53 AM - Ohad Levy

- Target version set to 1.0

#2 - 02/13/2012 08:09 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset b9cb1001147b2751f5f3de1054a1275abc702842.
